Bug 229023

Summary: devel/ptlib: Fails to build with OpenSSL 1.1
Product: Ports & Packages Reporter: Bernard Spil <brnrd>
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me CC: ghelmer, swills, thomas, w.schwarzenfeld
Priority: --- Keywords: needs-qa, patch
Version: LatestFlags: bugzilla: maintainer-feedback? (gnome)
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 228865    
Attachments:
Description Flags
Patch for files/patch-src_ptclib_pssl.cxx in devel/ptlib
none
ugly patch none

Description Bernard Spil freebsd_committer 2018-06-14 20:04:27 UTC
> ptclib/pssl.cxx:143:35: error: use of undeclared identifier 'BIO_s_file_internal'

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. 

Poudriere logs: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/ptlib-2.10.11_1.log
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-10-10 21:23:24 UTC
#if (OPENSSL_VERSION_NUMBER >= 0x10000000L)
+#   define BIO_s_file_internal BIO_s_file
+#endif
Comment 2 Thomas Müller 2018-11-03 23:38:22 UTC
This issue has already been fixed in the Linux From Scratch project, see the diff here: http://lfs.phayoune.org/blfs/downloads/8.2-systemd/patches/ptlib-2.10.11-openssl-1.1.0-1.patch

devel/ptlib can be built properly after applying it, maybe it can be adapted to the port.
Comment 3 Guy Helmer freebsd_committer 2018-11-06 18:00:02 UTC
Created attachment 199019 [details]
Patch for files/patch-src_ptclib_pssl.cxx in devel/ptlib

Patch for devel/ptlib using ptclib_pssl.cxx changes obtained from https://git.archlinux.org/svntogit/packages.git/plain/trunk/openssl-1.1.0.patch?h=packages/ptlib
Comment 4 Steve Wills freebsd_committer 2018-11-06 18:49:49 UTC
(In reply to Guy Helmer from comment #3)
This fails to build on 11.2 with base openssl. I'll take a look though.
Comment 5 Steve Wills freebsd_committer 2018-11-06 19:46:18 UTC
Created attachment 199025 [details]
ugly patch

This isn't how I wanted to do it, but all I have time for right now.
Comment 6 commit-hook freebsd_committer 2018-11-09 15:47:31 UTC
A commit references this bug:

Author: swills
Date: Fri Nov  9 15:46:59 UTC 2018
New revision: 484518
URL: https://svnweb.freebsd.org/changeset/ports/484518

Log:
  devel/ptlib: fix build with OpenSSL 1.1

  PR:		229023
  Submitted by:	brnrd (based on)

Changes:
  head/devel/ptlib/Makefile
  head/devel/ptlib/files/extra-patch-src_ptclib_pssl.cxx
  head/devel/ptlib/files/extra-patch-src_ptclib_pssl.cxx-openssl111
  head/devel/ptlib/files/patch-src_ptclib_pssl.cxx
Comment 7 Steve Wills freebsd_committer 2018-11-09 15:48:55 UTC
Committed, thanks!